{% extends 'base.html.twig' %}

{% block title %}Test PHP - AMIRI Haithem{% endblock %}

{% block stylesheets %}
<link href="{{ asset('css/custom.css') }}" rel="stylesheet" type="text/css" />
{% endblock %}

{% block body %}


<div class="container">
	<div class="row">
		<h1>Test PHP - AMIRI Haithem</h1>
		<button id="btn_tirer" class="btn btn-info"> Tirer </button>
	</div>
	<div class="row div_non_triee" style="display: none">
		<h2>Main de 10 cartes non triée</h2>
		<div id="cart_non_triee"></div>
		<input type="hidden" name="cardValues" id="cardValues">
	</div>
	<hr>
	<div class="row div_non_triee" style="display: none">
		<button id="btn_trier" class="btn btn-info"> Afficher la main triée </button>
	</div>
	<div class="row div_triee" style="display: none">
		<h2>Main de 10 cartes triée</h2>
		<div id="cart_triee"></div>
	</div>
</div>
{% endblock %}
{% block javascripts %}
<script type="text/javascript">

	var couleur_icone = ["♦", "♥", "♠", "♣"];
	
	$( "#btn_tirer" ).click(function() {
		$( "#cart_non_triee" ).html("");
		$(".div_triee" ).hide();
		var url = "{{ path('ajax_get_cards') }}";
		var cardValues = [];
		$.ajax({
			url: url,
			dataType: "json",
			type: "POST",
			cache: false,
			success: function(data){
				$.each(data, function(key, carte) {
					$( "#cart_non_triee" ).append("<span class='one_card couleur-"+carte.couleur+"'>" + carte.libeleValeur + couleur_icone[carte.couleur] + "</span>");
					cardValues.push([carte.valeur, carte.couleur]);
				});
				$('[name=cardValues]').val(JSON.stringify(cardValues)); 
				$(".div_non_triee" ).show("slow").siblings(1000);
			}
		});
	});

	$( "#btn_trier" ).click(function() {
		$( "#cart_triee" ).html("");
		var url = "{{ path('ajax_sort_cards') }}";
		var cardValues = [];
		$.ajax({
			url: url,
			dataType: "json",
			type: "POST",
			data: {
				cardValues : JSON.parse($('[name=cardValues]').val())
			},
			cache: false,
			success: function(data){
				console.log(data);
				 $.each(data, function(key, carte) {
					$( "#cart_triee" ).append("<span class='one_card couleur-"+carte.couleur+"'>" + carte.libeleValeur + couleur_icone[carte.couleur] + "</span>");
				});
				$(".div_triee" ).show("slow").siblings(1000); 
			}
		});
	});

</script>

{% endblock %}

